Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/inca.card	(revision 5056)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/inca.card	(revision 5057)
@@ -67,24 +67,27 @@
 
 [OutputFiles]
-List=	(inca1d_emi.nc     ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_emi.nc        ,    NONE  ),\
-	(inca1d_species.nc     ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_species.nc    ,    NONE  ),\
-	(inca1d_dep.nc         ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_dep.nc        ,    NONE  ),\
-	(inca1d_aero.nc        ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_aero.nc       ,    NONE  ),\
-	(inca1d_invariants.nc  ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_invariants.nc ,    NONE  ),\
-	(inca1d_chem.nc        ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_chem.nc       ,    NONE  ),\
-	(inca1d_washrate.nc    ,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_washrate.nc   ,    NONE  ),\
+List=	(inca1m_forcage.nc     ,     ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_forcage.nc     ,   Post_1M_inca_forcage ),\
 	(inca1m_emi.nc         ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_emi.nc        ,    Post_1M_inca_emi      ),\
 	(inca1m_species.nc     ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_species.nc    ,    Post_1M_inca_species  ),\
-	(inca1m_dep.nc         ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_dep.nc        ,    NONE  ),\
+	(inca1m_dep.nc         ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_dep.nc        ,    Post_1M_inca_dep ),\
 	(inca1m_aero.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_aero.nc       ,    Post_1M_inca_aero     ),\
-	(inca1m_invariants.nc  ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_invariants.nc ,    NONE  ),\
 	(inca1m_chem.nc        ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_chem.nc       ,    NONE  ),\
-	(inca1m_washrate.nc    ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_washrate.nc   ,    NONE  ),\
 	(aerosols_from_inca.nc ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_aerosols_from_inca.nc,  NONE  )
+
+
+
+[Post_1M_inca_forcage] 
+Patches= () 
+GatherWithInternal = (lon, lat, presnivs, time_centered, time_centered_bounds, time_counter, area)
+TimeSeriesVars2D  = (taucld, taucldpi,cldemi,CCM1, CCM2, tautot_550, tauant_550, taunat_550, SOLUBLE_LOAD, SOLUBLE_LOAD_PI, SOLUBLE_LOAD_ANTR, FSWTOAAS_AI, FSWSRFAS_AI, SWTOAAS_AI, SWSRFAS_AI, cforcTOA_0, cforcSRF_0, DcforcTOA_NAT, DcforcSRF_NAT, FcforcTOA_ANTR, DcforcSRF_ANTR, CLOUDfract, cRFtoa_nat, cRFsrf_nat, cRFtoa_antr, SWTOAAS_AD, SWTOACS_AD, SWSRFAS_AD, SWSRFCS_AD, tops, tops0, topl, topl0) 
+ChunckJob2D = NONE
+TimeSeriesVars3D = () 
+ChunckJob3D= () 
+Seasonal=OFF
 
 [Post_1M_inca_aero]
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs, time_centered, time_centered_bounds, time_counter, area)
-TimeSeriesVars2D = (loaddustci, loadno3ci, loadbcai, loadoaai, loadsscs, loadso4cs, loadno3cs, loadssas, loadbcas, loadoaas, loadso4as, loadnh4as, loadno3as, loadssss)
+TimeSeriesVars2D = (loaddustci, loadno3ci, loadbcai, loadoaai, loadsscs, loadso4cs, loadno3cs, loadssas, loadbcas, loadoaas, loadso4as, loadnh4as, loadno3as, loadssss, loaddms, loaddmso, loadso2, o550dustci, od550oaai, od550oaas, od550so4as, od550ssas, od550sscs, od550ssss, od550bcas, od550cai, od550no3as, od550no3cs, od550no3ci)
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
@@ -95,5 +98,5 @@
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs, time_centered, time_centered_bounds, time_counter, area)
-TimeSeriesVars2D = (emino2, emino3, emihno3, emin2o5, emiso2, emih2s, emidms, emidmso, eminh3, emidustci, emino3ci, eminci, emibcai, emioaai, eminai, emisscs, emiso4cs, eminh4cs, emimsacs, emino3cs, emincs, emissas, emibcas, emioaas, emiso4as, eminh4as, emimsaas, emino3as, eminas, emissss, eminss)
+TimeSeriesVars2D = (emino2, emino3, emihno3, emin2o5, emiso2, emih2s, emidms, emidmso, eminh3, emidustci, emino3ci, eminci, emibcai, emioaai, eminai, emisscs, emiso4cs, eminh4cs, emimsacs, emino3cs, emincs, emissas, emibcas, emioaas, emiso4as, eminh4as, emimsaas, emino3as, eminas, emissss, eminss, emioa, emiss, emibc, eminox)
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
@@ -112,2 +115,11 @@
 
 
+[Post_1M_inca_dep]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_centered, time_centered_bounds,time_counter, area)
+TimeSeriesVars2D = (dryoaai,dryoaas,dryso4as,dryssas,drysscs,dryssss,drybcas,drybcai, sedoaai, sedoaas, sedso4as, sedssas, sedsscs, sedssss, sedbcas, sedbcai, wetso2, wetdms, wetdmso, wetnh3, wetnoy, wetbc, wetoa, wetss, wetdustci, wetnh4as, wetoaai, wetoaas, wetso4as, wetssas, wetsscs, wetssss, wetbcas, wetbcai)
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
+