Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLESM/AER/piControl_AER_CMIP6/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLESM/AER/piControl_AER_CMIP6/COMP/inca.card	(revision 5079)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLESM/AER/piControl_AER_CMIP6/COMP/inca.card	(revision 5080)
@@ -81,5 +81,5 @@
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs, time_centered, time_centered_bounds, time_counter, area)
-TimeSeriesVars2D = (loaddustci, loadno3ci, loadbcai, loadoaai, loadsscs, loadso4cs, loadno3cs, loadssas, loadbcas, loadoaas, loadso4as, loadnh4as, loadno3as, loadssss, loaddms, loaddmso, loadso2, o550dustci, od550oaai, od550oaas, od550so4as, od550ssas, od550sscs, od550ssss, od550bcas, od550cai, od550no3as, od550no3cs, od550no3ci)
+TimeSeriesVars2D = (loaddustci, loadno3ci, loadbcai, loadoaai, loadsscs, loadso4cs, loadno3cs, loadssas, loadbcas, loadoaas, loadso4as, loadnh4as, loadno3as, loadssss, loaddms, loaddmso, loadso2)
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/inca.card	(revision 5079)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/inca.card	(revision 5080)
@@ -79,5 +79,5 @@
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs, time_centered, time_centered_bounds, time_counter, area)
-TimeSeriesVars2D = (loaddustci, loadno3ci, loadbcai, loadoaai, loadsscs, loadso4cs, loadno3cs, loadssas, loadbcas, loadoaas, loadso4as, loadnh4as, loadno3as, loadssss, loaddms, loaddmso, loadso2, o550dustci, od550oaai, od550oaas, od550so4as, od550ssas, od550sscs, od550ssss, od550bcas, od550cai, od550no3as, od550no3cs, od550no3ci)
+TimeSeriesVars2D = (loaddustci, loadno3ci, loadbcai, loadoaai, loadsscs, loadso4cs, loadno3cs, loadssas, loadbcas, loadoaas, loadso4as, loadnh4as, loadno3as, loadssss, loaddms, loaddmso, loadso2)
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZORINCA/piClim-control_CMIP6/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZORINCA/piClim-control_CMIP6/COMP/inca.card	(revision 5079)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZORINCA/piClim-control_CMIP6/COMP/inca.card	(revision 5080)
@@ -90,5 +90,5 @@
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs, time_centered, time_centered_bounds, time_counter, area)
-TimeSeriesVars2D = (loaddustci, loadno3ci, loadbcai, loadoaai, loadsscs, loadso4cs, loadno3cs, loadssas, loadbcas, loadoaas, loadso4as, loadnh4as, loadno3as, loadssss, loaddms, loaddmso, loadso2, o550dustci, od550oaai, od550oaas, od550so4as, od550ssas, od550sscs, od550ssss, od550bcas, od550cai, od550no3as, od550no3cs, od550no3ci)
+TimeSeriesVars2D = (loaddustci, loadno3ci, loadbcai, loadoaai, loadsscs, loadso4cs, loadno3cs, loadssas, loadbcas, loadoaas, loadso4as, loadnh4as, loadno3as, loadssss, loaddms, loaddmso, loadso2  )
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZORINCA/piClim-control_TEST/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZORINCA/piClim-control_TEST/COMP/inca.card	(revision 5079)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/LMDZORINCA/piClim-control_TEST/COMP/inca.card	(revision 5080)
@@ -89,5 +89,5 @@
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs, time_centered, time_centered_bounds, time_counter, area)
-TimeSeriesVars2D = (loaddustci, loadno3ci, loadbcai, loadoaai, loadsscs, loadso4cs, loadno3cs, loadssas, loadbcas, loadoaas, loadso4as, loadnh4as, loadno3as, loadssss, loaddms, loaddmso, loadso2, o550dustci, od550oaai, od550oaas, od550so4as, od550ssas, od550sscs, od550ssss, od550bcas, od550cai, od550no3as, od550no3cs, od550no3ci)
+TimeSeriesVars2D = (loaddustci, loadno3ci, loadbcai, loadoaai, loadsscs, loadso4cs, loadno3cs, loadssas, loadbcas, loadoaas, loadso4as, loadnh4as, loadno3as, loadssss, loaddms, loaddmso, loadso2)
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/POST/monitoring01_inca.cfg
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/POST/monitoring01_inca.cfg	(revision 5079)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/POST/monitoring01_inca.cfg	(revision 5080)
@@ -40,14 +40,4 @@
 #  field | files patterns | files additionnal | operations | title | units | calcul of area
 #-----------------------------------------------------------------------------------------------------------------
-od550bcas_global   | "od550bcas"    | "" | "od550bcas[d=1]"    	| "bc as optical depth @550nm" 	| "(-)" 	| "area[d=1]"
-od550oaas_global  | "od550oaas"   | "" | "od550oaas[d=1]"   	| "pom as optical depth @550nm" | "(-)" 	| "area[d=1]"
-od550so4as_global  | "od550so4as"   | "" | "od550so4as[d=1]"   	| "so4 as optical depth @550nm" | "(-)" 	| "area[d=1]"
-od550so4cs_global  | "od550so4cs"   | "" | "od550so4cs[d=1]"   	| "so4 cs optical depth @550nm" | "(-)" 	| "area[d=1]"
-od550ssss_global | "od550ssss"  | "" | "od550ssss[d=1]"  	| "ssssm optical depth @550nm" 	| "(-)" 	| "area[d=1]"
-od550ssas_global   | "od550ssas"    | "" | "od550ssas[d=1]"    	| "ss as optical depth @550nm" 	| "(-)" 	| "area[d=1]"
-od550ss_global	   | "od550ss" 	    | "" | "od550ss[d=1]"     	| "seasalt optical depth @550nm"| "(-)" 	| "area[d=1]"
-od550dust_global   | "od550dust"    | "" | "od550dust[d=1]"    	| "cidustm optical depth @550nm"| "(-)" 	| "area[d=1]"
-od550bcai_global   | "od550bcai"    | "" | "od550bcai[d=1]"    	| "bc optical depth @550nm" 	| "(-)" 	| "area[d=1]"
-od550oaai_global   | "od550oaai"    | "" | "od550oaai[d=1]"    	| "oa optical depth @550nm" 	| "(-)" 	| "area[d=1]"
 loaddustci_global  | "loaddustci"   | "" | "loaddustci[d=1]"   	| "loaddustci"   	| "(-)" 	| "area[d=1]"
 loadno3ci_global   | "loadno3ci"    | "" | "loadno3ci[d=1]"    	| "loadno3ci"    	| "(-)" 	| "area[d=1]"