Index: modipsl/trunk/util/mod.def
===================================================================
--- modipsl/trunk/util/mod.def	(revision 5114)
+++ modipsl/trunk/util/mod.def	(revision 5115)
@@ -56,5 +56,5 @@
 #-H- IPSLCM5A2.1  OASIS3-MCT 2.0_branch (rev 1818 Cerfacs server, rev 4775 IPSL server)
 #-H- IPSLCM5A2.1  IPSLCM5A2 svn 5088
-#-H- IPSLCM5A2.1  libIGCM trunk rev 1529
+#-H- IPSLCM5A2.1  libIGCM trunk rev 1534
 #-M- IPSLCM5A2.1  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5A2.1  IOIPSL/tags/v2_2_2/src                        HEAD         8  IOIPSL/src     modeles
@@ -63,5 +63,5 @@
 #-C- IPSLCM5A2.1  LMDZ5/branches/IPSLCM5A2.1                    3674        11  LMDZ           modeles
 #-C- IPSLCM5A2.1  CONFIG/UNIFORM/v6/IPSLCM5A2                   5088         8  IPSLCM5A2        config
-#-C- IPSLCM5A2.1  trunk/libIGCM                                 1529        10  libIGCM        .
+#-C- IPSLCM5A2.1  trunk/libIGCM                                 1534        10  libIGCM        .
 #-C- IPSLCM5A2.1  branches/2015/nemo_v3_6_STABLE/NEMOGCM        6665         7  .              modeles
 #-C- IPSLCM5A2.1  XIOS/branchs/xios-2.5                         1873        12  XIOS           modeles
@@ -76,5 +76,5 @@
 #-H- IPSLCM5A2.2_work  OASIS3-MCT 2.0_branch (rev 1818 Cerfacs server, rev 4775 IPSL server)
 #-H- IPSLCM5A2.2_work  IPSLCM5A2 svn 5106
-#-H- IPSLCM5A2.2_work  libIGCM trunk rev 1529
+#-H- IPSLCM5A2.2_work  libIGCM trunk rev 1534
 #-M- IPSLCM5A2.2_work  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5A2.2_work  IOIPSL/tags/v2_2_2/src                        HEAD         8  IOIPSL/src     modeles
@@ -83,5 +83,5 @@
 #-C- IPSLCM5A2.2_work  LMDZ5/branches/IPSLCM5A2.1                    3674        11  LMDZ           modeles
 #-C- IPSLCM5A2.2_work  CONFIG/UNIFORM/v6/IPSLCM5A2                   5106         8  IPSLCM5A2        config
-#-C- IPSLCM5A2.2_work  trunk/libIGCM                                 1529        10  libIGCM        .
+#-C- IPSLCM5A2.2_work  trunk/libIGCM                                 1534        10  libIGCM        .
 #-C- IPSLCM5A2.2_work  branches/2015/nemo_v3_6_STABLE/NEMOGCM        6665         7  .              modeles
 #-C- IPSLCM5A2.2_work  XIOS/branchs/xios-2.5                         1873        12  XIOS           modeles
@@ -761,5 +761,5 @@
 #-H- IPSLCM6.1.11-LR OASIS3-MCT 2.0_branch (rev 1818 Cerfacs server, rev 4775 IPSL server)
 #-H- IPSLCM6.1.11-LR IPSLCM6 svn 5095
-#-H- IPSLCM6.1.11-LR libIGCM trunk rev 1529
+#-H- IPSLCM6.1.11-LR libIGCM trunk rev 1534
 #-M- IPSLCM6.1.11-LR arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM6.1.11-LR IOIPSL/tags/v2_2_4/src                           HEAD         8 IOIPSL/src     modeles
@@ -769,5 +769,5 @@
 #-C- IPSLCM6.1.11-LR tags/INCA6_CMIP                                   928          9 INCA           modeles
 #-C- IPSLCM6.1.11-LR CONFIG/UNIFORM/v6/IPSLCM6                        5095         8 IPSLCM6        config
-#-C- IPSLCM6.1.11-LR trunk/libIGCM                                    1529        10 libIGCM        .
+#-C- IPSLCM6.1.11-LR trunk/libIGCM                                    1534        10 libIGCM        .
 #-C- IPSLCM6.1.11-LR branches/2015/nemo_v3_6_STABLE/NEMOGCM           9455         7 .              modeles
 #-C- IPSLCM6.1.11-LR trunk/ORCA1_LIM3_PISCES                           278        17 .              modeles/NEMOGCM/CONFIG
@@ -779,5 +779,5 @@
 #-H- IPSLCM6.2_work  NEMOGCM branch nemo_v3_6_STABLE revision 9455
 #-H- IPSLCM6.2_work  SHACONEMO revision 279
-#-H- IPSLCM6.2_work  XIOS trunk revision 1862
+#-H- IPSLCM6.2_work  XIOS trunk revision 1866
 #-H- IPSLCM6.2_work  IOIPSL tags v2_2_5
 #-H- IPSLCM6.2_work  LMDZ6 trunk revision 3651
@@ -785,6 +785,6 @@
 #-H- IPSLCM6.2_work  INCA6 trunk revison  915
 #-H- IPSLCM6.2_work  OASIS3-MCT 2.0_branch (rev 1818 Cerfacs server, rev 4775 IPSL server)
-#-H- IPSLCM6.2_work  CONFIG/IPSLCM6.2 rev 5030 
-#-H- IPSLCM6.2_work  libIGCM trunk rev 1523
+#-H- IPSLCM6.2_work  CONFIG/IPSLCM6.2 rev 5034 
+#-H- IPSLCM6.2_work  libIGCM trunk rev 1534
 #-M- IPSLCM6.2_work  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM6.2_work  IOIPSL/tags/v2_2_5                               5058         8   IOIPSL         modeles
@@ -793,5 +793,5 @@
 #-C- IPSLCM6.2_work  LMDZ6/trunk                                      3651        11   LMDZ           modeles
 #-C- IPSLCM6.2_work  CONFIG/UNIFORM/v6/IPSLCM6.2                      5034         8   IPSLCM6        config
-#-C- IPSLCM6.2_work  trunk/libIGCM                                    1529        10   libIGCM        .
+#-C- IPSLCM6.2_work  trunk/libIGCM                                    1534        10   libIGCM        .
 #-C- IPSLCM6.2_work  branches/2015/nemo_v3_6_STABLE/NEMOGCM           9455         7   .              modeles
 #-C- IPSLCM6.2_work  trunk/ORCA1_LIM3_PISCES                           287        17   .              modeles/NEMOGCM/CONFIG
@@ -811,5 +811,5 @@
 #-H- IPSLCM6.5_work  OASIS3-MCT 2.0_branch (rev 1818 Cerfacs server, rev 4775 IPSL server)
 #-H- IPSLCM6.5_work  CONFIG/IPSLCM6.2 rev 5030
-#-H- IPSLCM6.5_work  libIGCM trunk rev 1529
+#-H- IPSLCM6.5_work  libIGCM trunk rev 1534
 #-M- IPSLCM6.5_work  Christian.Ethe@ipsl.fr
 #-C- IPSLCM6.5_work  IOIPSL/tags/v2_2_5                                  5058         8   IOIPSL         modeles
@@ -818,5 +818,5 @@
 #-C- IPSLCM6.5_work  LMDZ6/trunk                                         3651        11   LMDZ           modeles
 #-C- IPSLCM6.5_work  CONFIG/UNIFORM/v6/IPSLCM6.5                         HEAD         8   IPSLCM6        config
-#-C- IPSLCM6.5_work  trunk/libIGCM                                       1529        10   libIGCM        .
+#-C- IPSLCM6.5_work  trunk/libIGCM                                       1534        10   libIGCM        .
 #-C- IPSLCM6.5_work  NEMO/branches/2020/r4.0-HEAD_r12713_clem_dan_fixcpl HEAD         7   NEMO           modeles
 #-C- IPSLCM6.5_work  trunk/INCA6                                          915         9   INCA           modeles
@@ -910,5 +910,5 @@
 #-C- LMDZOR_v6.1.11  CONFIG/UNIFORM/v6/LMDZOR_v6        4914 8    LMDZOR_v6    config
 #-C- LMDZOR_v6.1.11  tags/ORCHIDEE_2_0/ORCHIDEE_OL      6592 14   ORCHIDEE_OL  config
-#-C- LMDZOR_v6.1.11  trunk/libIGCM                      1529 10   libIGCM      .
+#-C- LMDZOR_v6.1.11  trunk/libIGCM                      1534 10   libIGCM      .
 
 #-H- LMDZOR_v6.1.10  LMDZ and ORCHIDEE model configuration
@@ -984,5 +984,5 @@
 #-C- LMDZOR_v6.2_work  CONFIG/UNIFORM/v6/LMDZOR_v6.2      5053    8    LMDZOR_v6    config
 #-C- LMDZOR_v6.2_work  branches/ORCHIDEE_2_2/ORCHIDEE_OL  6594    14   ORCHIDEE_OL  config
-#-C- LMDZOR_v6.2_work  trunk/libIGCM                      1529    10   libIGCM      .
+#-C- LMDZOR_v6.2_work  trunk/libIGCM                      1534    10   libIGCM      .
 
 
@@ -997,5 +997,5 @@
 #-C- LMDZOR_v6.3_work  CONFIG/UNIFORM/v6/LMDZOR_v6.3      5053    8    LMDZOR_v6    config
 #-C- LMDZOR_v6.3_work  branches/ORCHIDEE_3/ORCHIDEE_OL    6717    14   ORCHIDEE_OL  config
-#-C- LMDZOR_v6.3_work  trunk/libIGCM                      1529    10   libIGCM      .
+#-C- LMDZOR_v6.3_work  trunk/libIGCM                      1534    10   libIGCM      .
 
 
@@ -1012,5 +1012,5 @@
 #-C- LMDZOR_v6.4_work  CONFIG/UNIFORM/v6/LMDZOR_v6.4      5053    8    LMDZOR_v6    config
 #-C- LMDZOR_v6.4_work  trunk/ORCHIDEE_OL                  6718    14   ORCHIDEE_OL  config
-#-C- LMDZOR_v6.4_work  trunk/libIGCM                      1529    10   libIGCM      .
+#-C- LMDZOR_v6.4_work  trunk/libIGCM                      1534    10   libIGCM      .
 
 
@@ -1076,5 +1076,5 @@
 #-C- LMDZORINCA_v6.1.11  XIOS/branchs/xios-2.5			1873 	12	XIOS		modeles
 #-C- LMDZORINCA_v6.1.11  CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10	5039	8	LMDZORINCA_v6	config
-#-C- LMDZORINCA_v6.1.11  trunk/libIGCM				1529    10	libIGCM		.
+#-C- LMDZORINCA_v6.1.11  trunk/libIGCM				1534    10	libIGCM		.
 
 
@@ -1090,5 +1090,5 @@
 #-C- LMDZORINCA_v6.2_work  XIOS/trunk                         	1866    12   XIOS		modeles
 #-C- LMDZORINCA_v6.2_work  CONFIG/UNIFORM/v6/LMDZORINCA_v6.2  	5112    8    LMDZORINCA_v6	config
-#-C- LMDZORINCA_v6.2_work  trunk/libIGCM                      	1529   	10   libIGCM      	.
+#-C- LMDZORINCA_v6.2_work  trunk/libIGCM                      	1534   	10   libIGCM      	.
 
 
@@ -1103,5 +1103,5 @@
 #-H- IPSLCM5A2CHT.1  OASIS3-MCT 2.0_branch (rev 1818 Cerfacs server, rev 4775 IPSL server)
 #-H- IPSLCM5A2CHT.1  IPSLCM5A2CHT svn
-#-H- IPSLCM5A2CHT.1  libIGCM trunk rev 1529
+#-H- IPSLCM5A2CHT.1  libIGCM trunk rev 1534
 #-M- IPSLCM5A2CHT.1  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5A2CHT.1  IOIPSL/tags/v2_2_2/src                         HEAD         8  IOIPSL/src     modeles
@@ -1111,5 +1111,5 @@
 #-C- IPSLCM5A2CHT.1  CONFIG/UNIFORM/v6/IPSLCM5A2CHT                 5089         8  IPSLCM5A2CHT   config
 #-C- IPSLCM5A2CHT.1  tags/INCA6_CMIP				    928		 9  INCA	   modeles
-#-C- IPSLCM5A2CHT.1  trunk/libIGCM                                  1529        10  libIGCM        .
+#-C- IPSLCM5A2CHT.1  trunk/libIGCM                                  1534        10  libIGCM        .
 #-C- IPSLCM5A2CHT.1  branches/2015/nemo_v3_6_STABLE/NEMOGCM         6665         7  .              modeles
 #-C- IPSLCM5A2CHT.1  XIOS/branchs/xios-2.5			    1873	12  XIOS           modeles
@@ -1147,5 +1147,5 @@
 #-M- ORCHIDEE_trunk  Josefine.Ghattas@ipsl.fr
 #-C- ORCHIDEE_trunk  IOIPSL/tags/v2_2_5                       5058     8 IOIPSL             modeles
-#-C- ORCHIDEE_trunk  trunk/libIGCM                            1529    10 libIGCM            .
+#-C- ORCHIDEE_trunk  trunk/libIGCM                            1534    10 libIGCM            .
 #-C- ORCHIDEE_trunk  trunk/ORCHIDEE                           HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_trunk  trunk/ORCHIDEE_OL                        HEAD    14 ORCHIDEE_OL        config
@@ -1156,5 +1156,5 @@
 #-M- ORCHIDEE_3_head  Josefine.Ghattas@ipsl.fr
 #-C- ORCHIDEE_3_head  IOIPSL/tags/v2_2_5                       5058     8 IOIPSL             modeles
-#-C- ORCHIDEE_3_head  trunk/libIGCM                            1529    10 libIGCM            .
+#-C- ORCHIDEE_3_head  trunk/libIGCM                            1534    10 libIGCM            .
 #-C- ORCHIDEE_3_head  branches/ORCHIDEE_3/ORCHIDEE             HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_3_head  branches/ORCHIDEE_3/ORCHIDEE_OL          HEAD    14 ORCHIDEE_OL        config
@@ -1166,5 +1166,5 @@
 #-M- ORCHIDEE_2_2  Josefine.Ghattas@ipsl.fr
 #-C- ORCHIDEE_2_2  IOIPSL/tags/v2_2_4/src                   HEAD    8  IOIPSL/src         modeles
-#-C- ORCHIDEE_2_2  trunk/libIGCM                            1529    10 libIGCM            .
+#-C- ORCHIDEE_2_2  trunk/libIGCM                            1534    10 libIGCM            .
 #-C- ORCHIDEE_2_2  branches/ORCHIDEE_2_2/ORCHIDEE           HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_2_2  branches/ORCHIDEE_2_2/ORCHIDEE_OL        HEAD    14 ORCHIDEE_OL        config
@@ -1176,5 +1176,5 @@
 #-M- ORCHIDEE_2_1  Josefine.Ghattas@ipsl.fr
 #-C- ORCHIDEE_2_1  IOIPSL/tags/v2_2_4/src                   HEAD    8  IOIPSL/src         modeles
-#-C- ORCHIDEE_2_1  trunk/libIGCM                            1529    10 libIGCM            .
+#-C- ORCHIDEE_2_1  trunk/libIGCM                            1534    10 libIGCM            .
 #-C- ORCHIDEE_2_1  tags/ORCHIDEE_2_1/ORCHIDEE               HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_2_1  tags/ORCHIDEE_2_1/ORCHIDEE_OL            HEAD    14 ORCHIDEE_OL        config
@@ -1186,5 +1186,5 @@
 #-M- ORCHIDEE_2_0  Josefine.Ghattas@ipsl.fr
 #-C- ORCHIDEE_2_0  IOIPSL/tags/v2_2_4/src                   HEAD    8  IOIPSL/src         modeles
-#-C- ORCHIDEE_2_0  trunk/libIGCM                            1529    10 libIGCM            .
+#-C- ORCHIDEE_2_0  trunk/libIGCM                            1534    10 libIGCM            .
 #-C- ORCHIDEE_2_0  tags/ORCHIDEE_2_0/ORCHIDEE               HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_2_0  tags/ORCHIDEE_2_0/ORCHIDEE_OL            HEAD    14 ORCHIDEE_OL        config
@@ -1205,8 +1205,8 @@
 
 #-H- NEMO_v6.1  NEMOGCM for CMIP6 exercise
-#-H- NEMO_v6.1  libIGCM trunk rev 1529
+#-H- NEMO_v6.1  libIGCM trunk rev 1534
 #-H- NEMO_v6.1  XIOS branch xios-2.5 rev 1873
 #-M- NEMO_v6.1  Christian.Ethe@ipsl.fr
-#-C- NEMO_v6.1  trunk/libIGCM                                                               1529  10 libIGCM         .
+#-C- NEMO_v6.1  trunk/libIGCM                                                               1534  10 libIGCM         .
 #-C- NEMO_v6.1  branches/2015/nemo_v3_6_STABLE/NEMOGCM                                      9455   7  .              modeles
 #-C- NEMO_v6.1  trunk/ORCA1_LIM3_PISCES                                                      275  17  .              modeles/NEMOGCM/CONFIG
@@ -1219,8 +1219,8 @@
 
 #-H- NEMO_v6.5  NEMOGCM v4.0.2  rev 12578
-#-H- NEMO_v6.5  libIGCM trunk rev 1529
+#-H- NEMO_v6.5  libIGCM trunk rev 1534
 #-H- NEMO_v6.5  XIOS branch xios-2.5 rev 1882
 #-M- NEMO_v6.5  Christian.Ethe@ipsl.fr
-#-C- NEMO_v6.5  trunk/libIGCM                                                               1529  10  libIGCM         .
+#-C- NEMO_v6.5  trunk/libIGCM                                                               1534  10  libIGCM         .
 #-C- NEMO_v6.5  NEMO/releases/r4.0/r4.0.2                                                  12578   7  NEMO           modeles
 #-C- NEMO_v6.5  CONFIG/UNIFORM/v6/NEMO_v6.5                                                 5044   8  NEMO_v6        config
@@ -1241,5 +1241,5 @@
 #-C- ICOLMDZOR_v7_work  XIOS/trunk                          1866    12   XIOS           modeles
 #-C- ICOLMDZOR_v7_work  CONFIG/UNIFORM/v7/ICOLMDZOR_v7      HEAD    8    ICOLMDZOR_v7   config
-#-C- ICOLMDZOR_v7_work  trunk/libIGCM                       1529    10   libIGCM        .
+#-C- ICOLMDZOR_v7_work  trunk/libIGCM                       1534    10   libIGCM        .
 
 #-H- ICOLMDZOR_v7.1  CMIP6 HighResMIP version of DYNAMICO-LMDZ-ORCHIDEE configuration