Index: /modipsl/trunk/util/mod.def
===================================================================
--- /modipsl/trunk/util/mod.def	(revision 5115)
+++ /modipsl/trunk/util/mod.def	(revision 5116)
@@ -50,5 +50,5 @@
 #-H- IPSLCM5A2.1  2nd frozen IPSLCM5A2 version
 #-H- IPSLCM5A2.1  NEMOGCM branch nemo_v3_6_STABLE revision 6665
-#-H- IPSLCM5A2.1  XIOS2 branchs/xios-2.5 revision 1873
+#-H- IPSLCM5A2.1  XIOS2 branchs/xios-2.5 revision 1903
 #-H- IPSLCM5A2.1  IOIPSL/src svn tags/v2_2_2
 #-H- IPSLCM5A2.1  LMDZ5 branches/IPSLCM5A2.1 rev 3674
@@ -65,10 +65,10 @@
 #-C- IPSLCM5A2.1  trunk/libIGCM                                 1534        10  libIGCM        .
 #-C- IPSLCM5A2.1  branches/2015/nemo_v3_6_STABLE/NEMOGCM        6665         7  .              modeles
-#-C- IPSLCM5A2.1  XIOS/branchs/xios-2.5                         1873        12  XIOS           modeles
+#-C- IPSLCM5A2.1  XIOS/branchs/xios-2.5                         1903        12  XIOS           modeles
 
 #-H- IPSLCM5A2.2_work  IPSLCM5A2.2 coupled configuration
 #-H- IPSLCM5A2.2_work  Working IPSLCM5A2 version
 #-H- IPSLCM5A2.2_work  NEMOGCM branch nemo_v3_6_STABLE revision 6665
-#-H- IPSLCM5A2.2_work  XIOS2 branchs/xios-2.5 revision 1873
+#-H- IPSLCM5A2.2_work  XIOS2 branchs/xios-2.5 revision 1903
 #-H- IPSLCM5A2.2_work  IOIPSL/src svn tags/v2_2_2
 #-H- IPSLCM5A2.2_work  LMDZ5 branches/IPSLCM5A2.1 rev 3674
@@ -85,5 +85,5 @@
 #-C- IPSLCM5A2.2_work  trunk/libIGCM                                 1534        10  libIGCM        .
 #-C- IPSLCM5A2.2_work  branches/2015/nemo_v3_6_STABLE/NEMOGCM        6665         7  .              modeles
-#-C- IPSLCM5A2.2_work  XIOS/branchs/xios-2.5                         1873        12  XIOS           modeles
+#-C- IPSLCM5A2.2_work  XIOS/branchs/xios-2.5                         1903        12  XIOS           modeles
 
 #-H- IPSLCM6.0.0-LR  IPSLCM6.0.0-LR coupled configuration
@@ -755,5 +755,5 @@
 #-H- IPSLCM6.1.11-LR NEMOGCM branch nemo_v3_6_STABLE revision 9455
 #-H- IPSLCM6.1.11-LR SHACONEMO revision 278
-#-H- IPSLCM6.1.11-LR XIOS2 branch xios-2.5 rev 1873
+#-H- IPSLCM6.1.11-LR XIOS2 branch xios-2.5 rev 1903
 #-H- IPSLCM6.1.11-LR IOIPSL src tags 2_2_4
 #-H- IPSLCM6.1.11-LR LMDZ6 LMDZ6/branches/IPSLCM6.0.15 rev 3643
@@ -772,5 +772,5 @@
 #-C- IPSLCM6.1.11-LR branches/2015/nemo_v3_6_STABLE/NEMOGCM           9455         7 .              modeles
 #-C- IPSLCM6.1.11-LR trunk/ORCA1_LIM3_PISCES                           278        17 .              modeles/NEMOGCM/CONFIG
-#-C- IPSLCM6.1.11-LR XIOS/branchs/xios-2.5                            1873        12 XIOS           modeles
+#-C- IPSLCM6.1.11-LR XIOS/branchs/xios-2.5                            1903        12 XIOS           modeles
 
 
@@ -907,5 +907,5 @@
 #-C- LMDZOR_v6.1.11  tags/ORCHIDEE_2_0/ORCHIDEE         6592 14   ORCHIDEE     modeles
 #-C- LMDZOR_v6.1.11  LMDZ6/branches/IPSLCM6.0.15        3643 11   LMDZ         modeles
-#-C- LMDZOR_v6.1.11  XIOS/branchs/xios-2.5              1873 12   XIOS         modeles
+#-C- LMDZOR_v6.1.11  XIOS/branchs/xios-2.5              1903 12   XIOS         modeles
 #-C- LMDZOR_v6.1.11  CONFIG/UNIFORM/v6/LMDZOR_v6        4914 8    LMDZOR_v6    config
 #-C- LMDZOR_v6.1.11  tags/ORCHIDEE_2_0/ORCHIDEE_OL      6592 14   ORCHIDEE_OL  config
@@ -1074,5 +1074,5 @@
 #-C- LMDZORINCA_v6.1.11  LMDZ6/branches/IPSLCM6.0.15		3643   	11	LMDZ		modeles
 #-C- LMDZORINCA_v6.1.11  tags/INCA6_CMIP			928	9	INCA		modeles
-#-C- LMDZORINCA_v6.1.11  XIOS/branchs/xios-2.5			1873 	12	XIOS		modeles
+#-C- LMDZORINCA_v6.1.11  XIOS/branchs/xios-2.5			1903 	12	XIOS		modeles
 #-C- LMDZORINCA_v6.1.11  CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10	5039	8	LMDZORINCA_v6	config
 #-C- LMDZORINCA_v6.1.11  trunk/libIGCM				1534    10	libIGCM		.
@@ -1113,5 +1113,5 @@
 #-C- IPSLCM5A2CHT.1  trunk/libIGCM                                  1534        10  libIGCM        .
 #-C- IPSLCM5A2CHT.1  branches/2015/nemo_v3_6_STABLE/NEMOGCM         6665         7  .              modeles
-#-C- IPSLCM5A2CHT.1  XIOS/branchs/xios-2.5			    1873	12  XIOS           modeles
+#-C- IPSLCM5A2CHT.1  XIOS/branchs/xios-2.5			    1903	12  XIOS           modeles
 
 #-- Configuration with Inca and Reprobus 
@@ -1169,5 +1169,5 @@
 #-C- ORCHIDEE_2_2  branches/ORCHIDEE_2_2/ORCHIDEE           HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_2_2  branches/ORCHIDEE_2_2/ORCHIDEE_OL        HEAD    14 ORCHIDEE_OL        config
-#-C- ORCHIDEE_2_2  XIOS/branchs/xios-2.5                    1873    12 XIOS               modeles
+#-C- ORCHIDEE_2_2  XIOS/branchs/xios-2.5                    1903    12 XIOS               modeles
 
 #-H- ORCHIDEE_2_1  ORCHIDEE offline configuration using the tag ORCHIDEE_2_1
@@ -1179,5 +1179,5 @@
 #-C- ORCHIDEE_2_1  tags/ORCHIDEE_2_1/ORCHIDEE               HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_2_1  tags/ORCHIDEE_2_1/ORCHIDEE_OL            HEAD    14 ORCHIDEE_OL        config
-#-C- ORCHIDEE_2_1  XIOS/branchs/xios-2.5                    1873    12 XIOS               modeles
+#-C- ORCHIDEE_2_1  XIOS/branchs/xios-2.5                    1903    12 XIOS               modeles
 
 #-H- ORCHIDEE_2_0  ORCHIDEE offline configuration using the tag ORCHIDEE_2_0
@@ -1189,5 +1189,5 @@
 #-C- ORCHIDEE_2_0  tags/ORCHIDEE_2_0/ORCHIDEE               HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_2_0  tags/ORCHIDEE_2_0/ORCHIDEE_OL            HEAD    14 ORCHIDEE_OL        config
-#-C- ORCHIDEE_2_0  XIOS/branchs/xios-2.5                    1873    12 XIOS               modeles
+#-C- ORCHIDEE_2_0  XIOS/branchs/xios-2.5                    1903    12 XIOS               modeles
 
 
@@ -1206,5 +1206,5 @@
 #-H- NEMO_v6.1  NEMOGCM for CMIP6 exercise
 #-H- NEMO_v6.1  libIGCM trunk rev 1534
-#-H- NEMO_v6.1  XIOS branch xios-2.5 rev 1873
+#-H- NEMO_v6.1  XIOS branch xios-2.5 rev 1903
 #-M- NEMO_v6.1  Christian.Ethe@ipsl.fr
 #-C- NEMO_v6.1  trunk/libIGCM                                                               1534  10 libIGCM         .
@@ -1215,5 +1215,5 @@
 #-C- NEMO_v6.1  trunk/ORCA1_OFF_PISCES                                                       275  17  .              modeles/NEMOGCM/CONFIG
 #-C- NEMO_v6.1  CONFIG/UNIFORM/v6/NEMO_v6                                                   4802   8  NEMO_v6        config
-#-C- NEMO_v6.1  XIOS/branchs/xios-2.5                                                       1873  12  XIOS           modeles
+#-C- NEMO_v6.1  XIOS/branchs/xios-2.5                                                       1903  12  XIOS           modeles
 
 