Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/XML/ping_nemo.xml
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/XML/ping_nemo.xml	(revision 5152)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/XML/ping_nemo.xml	(revision 5153)
@@ -316,14 +316,14 @@
    <field id="CMIP6_calc"          field_ref="CaCO3_E3T"   expr="@CaCO3_E3T / @e3t * 1e-3" >  CaCO3_E3T / e3t * 1e-3 </field>  <!-- P1 (mol m-3) mole_concentration_of_calcite_expressed_as_carbon_in_sea_water : sum of particulate calcite component concentrations (e.g. Phytoplankton, Detrital, etc.) -->
    <field id="CMIP6_calcos"        field_ref="CaCO3SFC_E3T"   expr="@CaCO3SFC_E3T / @E3TSFC * 1e-3"  >  CaCO3SFC_E3T / E3TSFC * 1e-3 </field> <!-- P2 (mol m-3) mole_concentration_of_calcite_expressed_as_carbon_in_sea_water : sum of particulate calcite component concentrations (e.g. Phytoplankton, Detrital, etc.) -->
-   <field id="CMIP6_chl"           field_ref="NCHL_E3T"    expr="@NCHL_E3T / @e3t * 1e-3 + @DCHL_E3T / @e3t * 1e-3" > NCHL_E3T / e3t * 1e-3 + DCHL_E3T / e3t * 1e-3 </field> <!-- P1 (kg m-3) mass_concentration_of_phytoplankton_expressed_as_chlorophyll_in_sea_water : sum of chlorophyll from all phytoplankton group concentrations.  In most models this is equal to chldiat+chlmisc, that is the sum of "Diatom Chlorophyll Mass Concentration" plus "Other Phytoplankton Chlorophyll Mass Concentration" -->
+   <field id="CMIP6_chl"           field_ref="NCHL_E3T"    expr="@NCHL_E3T / @e3t * 1e-6 + @DCHL_E3T / @e3t * 1e-6" > NCHL_E3T / e3t * 1e-6 + DCHL_E3T / e3t * 1e-6 </field> <!-- P1 (kg m-3) mass_concentration_of_phytoplankton_expressed_as_chlorophyll_in_sea_water : sum of chlorophyll from all phytoplankton group concentrations.  In most models this is equal to chldiat+chlmisc, that is the sum of "Diatom Chlorophyll Mass Concentration" plus "Other Phytoplankton Chlorophyll Mass Concentration" -->
    <field id="CMIP6_chlcalc"       field_ref="dummy_XYO"        /> <!-- P2 (kg m-3) mass_concentration_of_calcareous_phytoplankton_expressed_as_chlorophyll_in_sea_water : chlorophyll concentration from the calcite-producing phytoplankton component alone -->
    <field id="CMIP6_chlcalcos"     field_ref="dummy_XY"         /> <!-- P2 (kg m-3) mass_concentration_of_calcareous_phytoplankton_expressed_as_chlorophyll_in_sea_water : chlorophyll concentration from the calcite-producing phytoplankton component alone -->
-   <field id="CMIP6_chldiat"       field_ref="DCHL_E3T"  expr="@DCHL_E3T / @e3t * 1e-3" > DCHL_E3T / e3t * 1e-3  </field> <!-- P2 (kg m-3) mass_concentration_of_diatoms_expressed_as_chlorophyll_in_sea_water : chlorophyll from diatom phytoplankton component concentration alone -->
-   <field id="CMIP6_chldiatos"     field_ref="DCHLSFC_E3T" expr="@DCHLSFC_E3T / @E3TSFC * 1e-3" >  DCHLSFC_E3T / E3TSFC * 1e-3 </field> <!-- P2 (kg m-3) mass_concentration_of_diatoms_expressed_as_chlorophyll_in_sea_water : chlorophyll from diatom phytoplankton component concentration alone -->
+   <field id="CMIP6_chldiat"       field_ref="DCHL_E3T"  expr="@DCHL_E3T / @e3t * 1e-6" > DCHL_E3T / e3t * 1e-6  </field> <!-- P2 (kg m-3) mass_concentration_of_diatoms_expressed_as_chlorophyll_in_sea_water : chlorophyll from diatom phytoplankton component concentration alone -->
+   <field id="CMIP6_chldiatos"     field_ref="DCHLSFC_E3T" expr="@DCHLSFC_E3T / @E3TSFC * 1e-6" >  DCHLSFC_E3T / E3TSFC * 1e-6 </field> <!-- P2 (kg m-3) mass_concentration_of_diatoms_expressed_as_chlorophyll_in_sea_water : chlorophyll from diatom phytoplankton component concentration alone -->
    <field id="CMIP6_chldiaz"       field_ref="dummy_XYO"        /> <!-- P2 (kg m-3) mass_concentration_of_diazotrophs_expressed_as_chlorophyll_in_sea_water : chlorophyll concentration from the diazotrophic phytoplankton component alone -->
    <field id="CMIP6_chldiazos"     field_ref="dummy_XY"         /> <!-- P2 (kg m-3) mass_concentration_of_diazotrophs_expressed_as_chlorophyll_in_sea_water : chlorophyll concentration from the diazotrophic phytoplankton component alone -->
-   <field id="CMIP6_chlmisc"       field_ref="NCHL_E3T"  expr="@NCHL_E3T / @e3t * 1e-3" > NCHL_E3T / e3t * 1e-3 </field>  <!-- P2 (kg m-3) mass_concentration_of_miscellaneous_phytoplankton_expressed_as_chlorophyll_in_sea_water : chlorophyll from additional phytoplankton component concentrations alone -->
-   <field id="CMIP6_chlmiscos"     field_ref="NCHLSFC_E3T" expr="@NCHLSFC_E3T / @E3TSFC * 1e-3" > NCHLSFC_E3T / E3TSFC * 1e-3 </field>  <!-- P2 (kg m-3) mass_concentration_of_miscellaneous_phytoplankton_expressed_as_chlorophyll_in_sea_water : chlorophyll from additional phytoplankton component concentrations alone -->
-   <field id="CMIP6_chlos"         field_ref="NCHLSFC_E3T"  expr="@NCHLSFC_E3T / @E3TSFC * 1e-3 + @DCHLSFC_E3T / @E3TSFC * 1e-3" > NCHLSFC_E3T / E3TSFC * 1e-3 + DCHLSFC_E3T / E3TSFC * 1e-3 </field>  <!-- P1 (kg m-3) mass_concentration_of_phytoplankton_expressed_as_chlorophyll_in_sea_water : sum of chlorophyll from all phytoplankton group concentrations.  In most models this is equal to chldiat+chlmisc, that is the sum of "Diatom Chlorophyll Mass Concentration" plus "Other Phytoplankton Chlorophyll Mass Concentration" -->
+   <field id="CMIP6_chlmisc"       field_ref="NCHL_E3T"  expr="@NCHL_E3T / @e3t * 1e-6" > NCHL_E3T / e3t * 1e-6 </field>  <!-- P2 (kg m-3) mass_concentration_of_miscellaneous_phytoplankton_expressed_as_chlorophyll_in_sea_water : chlorophyll from additional phytoplankton component concentrations alone -->
+   <field id="CMIP6_chlmiscos"     field_ref="NCHLSFC_E3T" expr="@NCHLSFC_E3T / @E3TSFC * 1e-6" > NCHLSFC_E3T / E3TSFC * 1e-6 </field>  <!-- P2 (kg m-3) mass_concentration_of_miscellaneous_phytoplankton_expressed_as_chlorophyll_in_sea_water : chlorophyll from additional phytoplankton component concentrations alone -->
+   <field id="CMIP6_chlos"         field_ref="NCHLSFC_E3T"  expr="@NCHLSFC_E3T / @E3TSFC * 1e-6 + @DCHLSFC_E3T / @E3TSFC * 1e-6" > NCHLSFC_E3T / E3TSFC * 1e-6 + DCHLSFC_E3T / E3TSFC * 1e-6 </field>  <!-- P1 (kg m-3) mass_concentration_of_phytoplankton_expressed_as_chlorophyll_in_sea_water : sum of chlorophyll from all phytoplankton group concentrations.  In most models this is equal to chldiat+chlmisc, that is the sum of "Diatom Chlorophyll Mass Concentration" plus "Other Phytoplankton Chlorophyll Mass Concentration" -->
    <field id="CMIP6_chlpico"       field_ref="dummy_XYO"        /> <!-- P2 (kg m-3) mass_concentration_of_picophytoplankton_expressed_as_chlorophyll_in_sea_water : chlorophyll concentration from the picophytoplankton (<2 um) component alone -->
    <field id="CMIP6_chlpicoos"     field_ref="dummy_XY"         /> <!-- P2 (kg m-3) mass_concentration_of_picophytoplankton_expressed_as_chlorophyll_in_sea_water : chlorophyll concentration from the picophytoplankton (<2 um) component alone -->