Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR025_TEST/COMP/lim3.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR025_TEST/COMP/lim3.card	(revision 5526)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR025_TEST/COMP/lim3.card	(revision 5527)
@@ -32,20 +32,12 @@
         (${config_UserChoices_JobName}_1d_icemod.nc, ${R_OUT_ICE_O_D}/${PREFIX}_1D_icemod.nc, NONE )
 
+
 [Post_1M_icemod]
 Patches = ()
-GatherWithInternal = (nav_lon_grid_T, nav_lat_grid_T, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (snthic, sithic, sivolu, snvolu, siconc, sisali, sitemp, sistem, siages)
-ChunckJob2D = NONE
+ChunckJob2D = 50Y
 TimeSeriesVars3D = ()
 ChunckJob3D = NONE
 Seasonal=ON
 
-[Post_1D_icemod]
-Patches = ()
-GatherWithInternal = (nav_lon_grid_T, nav_lat_grid_T, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (snthic,sithic,sivolu,snvolu,siconc)
-ChunckJob2D = OFF
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal=OFF
-
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR025_TEST/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR025_TEST/COMP/opa9.card	(revision 5526)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR025_TEST/COMP/opa9.card	(revision 5527)
@@ -110,7 +110,7 @@
 GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (zos, zossq, tos, sos, tossq, omlmax, mldkz5, mldr10_1, nshfls, rsntds, rsds, friver, hc300, wfo)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (e3t, thetao, so)
-ChunckJob3D = 100Y
+ChunckJob2D = 50Y
+TimeSeriesVars3D = (thetao, so)
+ChunckJob3D = 50Y
 Seasonal=ON
 
@@ -118,8 +118,8 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (tauuo, sozohetr, sozosatr)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (e3u, uo)
-ChunckJob3D = 100Y
+TimeSeriesVars2D = ()
+ChunckJob2D = 50Y
+TimeSeriesVars3D = ()
+ChunckJob3D = 50Y
 Seasonal=ON
 
@@ -127,8 +127,8 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (tauvo, somehetr, somesatr)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (e3v, vo)
-ChunckJob3D = 100Y
+TimeSeriesVars2D = ()
+ChunckJob2D = 50Y
+TimeSeriesVars3D = ()
+ChunckJob3D = 50Y
 Seasonal=ON
 
@@ -139,5 +139,5 @@
 ChunckJob2D = NONE
 TimeSeriesVars3D = ( )
-ChunckJob3D = 100Y
+ChunckJob3D = 50Y
 Seasonal=ON
 
@@ -160,95 +160,2 @@
 Seasonal=ON
 
-[Post_1M_trdtra]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = NONE
-ChunckJob2D = NONE
-TimeSeriesVars3D = (ttrdtr_zdfp, ttrdtr_eivad, ttrdtr_iso, ttrdtr_totad, ttrdtr_tot, strdtr_zdfp, strdtr_eivad, strdtr_iso, strdtr_totad, strdtr_tot)
-ChunckJob3D = 100Y
-Seasonal=ON
-
-# Daily analysis
-
-[Post_1D_grid_T]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (tos, tosstd, sos, zos, zosstd, sstdcy, mldr10_1, mldr10_1dcy, mldkz5)
-ChunckJob2D = OFF
-TimeSeriesVars3D = ()
-ChunckJob3D = OFF
-Seasonal=OFF
-
-[Post_1D_grid_U]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = ()
-ChunckJob2D = 100Y
-TimeSeriesVars3D = ()
-ChunckJob3D = OFF
-Seasonal=OFF
-
-[Post_1D_grid_V]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = ()
-ChunckJob2D = 200Y
-TimeSeriesVars3D = ()
-ChunckJob3D = OFF
-Seasonal=OFF
-
-## Yearly analysis
-
-[Post_1Y_scalar]
-Patches = ()
-GatherWithInternal = (time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (scmastot, scvoltot, scsshtot, scsshste, scsshtst, sctemtot, scsaltot, ibgheat_tot, sbgheat_tot)
-ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal=OFF
-
-[Post_1Y_grid_T]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = ( )
-ChunckJob2D = NONE
-TimeSeriesVars3D = (thetao, so)
-ChunckJob3D = 50Y
-Seasonal=OFF
-
-[Post_1Y_grid_U]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (hfx, hfxba, hfxdiff, sozotaux)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (umo, vozocrtx,vozoeivu)
-ChunckJob3D = 50Y
-Seasonal=OFF
-
-[Post_1Y_grid_V]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = ( )
-ChunckJob2D = NONE
-TimeSeriesVars3D = ( )
-ChunckJob3D = 50Y
-Seasonal=OFF
-
-[Post_1Y_diaptr_T]
-Patches = ()
-GatherWithInternal = (nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (zotemglo, zotematl, zotempac, zotemind, zotemipc, zosalglo, zosalatl, zosalpac, zosalind, zosalipc, zosrfglo, zosrfatl, zosrfpac, zosrfind, zosrfipc, sophtadv, sophtldf, sopstadv, sopstldf)
-ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal=OFF
-
-[Post_1Y_diaptr_W]
-Patches = ()
-GatherWithInternal = (nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (zomsfglo, zomsfatl, zomsfpac, zomsfind, zomsfipc)
-ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal=OFF
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR025_TEST/COMP/lim3.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR025_TEST/COMP/lim3.card	(revision 5526)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR025_TEST/COMP/lim3.card	(revision 5527)
@@ -34,18 +34,9 @@
 [Post_1M_icemod]
 Patches = ()
-GatherWithInternal = (nav_lon_grid_T, nav_lat_grid_T, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (snthic, sithic, sivolu, snvolu, siconc, sisali, sitemp, sistem, siages)
-ChunckJob2D = NONE
+ChunckJob2D = 50Y
 TimeSeriesVars3D = ()
 ChunckJob3D = NONE
 Seasonal=ON
 
-[Post_1D_icemod]
-Patches = ()
-GatherWithInternal = (nav_lon_grid_T, nav_lat_grid_T, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (snthic,sithic,sivolu,snvolu,siconc)
-ChunckJob2D = OFF
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal=OFF
-
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR025_TEST/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR025_TEST/COMP/opa9.card	(revision 5526)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR025_TEST/COMP/opa9.card	(revision 5527)
@@ -110,7 +110,7 @@
 GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (zos, zossq, tos, sos, tossq, omlmax, mldkz5, mldr10_1, nshfls, rsntds, rsds, friver, hc300, wfo)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (e3t, thetao, so)
-ChunckJob3D = 100Y
+ChunckJob2D = 50Y
+TimeSeriesVars3D = (thetao, so)
+ChunckJob3D = 50Y
 Seasonal=ON
 
@@ -118,8 +118,8 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (tauuo, sozohetr, sozosatr)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (e3u, uo)
-ChunckJob3D = 100Y
+TimeSeriesVars2D = ()
+ChunckJob2D = 50Y
+TimeSeriesVars3D = ()
+ChunckJob3D = 50Y
 Seasonal=ON
 
@@ -127,8 +127,8 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (tauvo, somehetr, somesatr)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (e3v, vo)
-ChunckJob3D = 100Y
+TimeSeriesVars2D = ()
+ChunckJob2D = 50Y
+TimeSeriesVars3D = ()
+ChunckJob3D = 50Y
 Seasonal=ON
 
@@ -139,5 +139,5 @@
 ChunckJob2D = NONE
 TimeSeriesVars3D = ( )
-ChunckJob3D = 100Y
+ChunckJob3D = 50Y
 Seasonal=ON
 
@@ -160,95 +160,2 @@
 Seasonal=ON
 
-[Post_1M_trdtra]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = NONE
-ChunckJob2D = NONE
-TimeSeriesVars3D = (ttrdtr_zdfp, ttrdtr_eivad, ttrdtr_iso, ttrdtr_totad, ttrdtr_tot, strdtr_zdfp, strdtr_eivad, strdtr_iso, strdtr_totad, strdtr_tot)
-ChunckJob3D = 100Y
-Seasonal=ON
-
-# Daily analysis
-
-[Post_1D_grid_T]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (tos, tosstd, sos, zos, zosstd, sstdcy, mldr10_1, mldr10_1dcy, mldkz5)
-ChunckJob2D = OFF
-TimeSeriesVars3D = ()
-ChunckJob3D = OFF
-Seasonal=OFF
-
-[Post_1D_grid_U]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = ()
-ChunckJob2D = 100Y
-TimeSeriesVars3D = ()
-ChunckJob3D = OFF
-Seasonal=OFF
-
-[Post_1D_grid_V]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = ()
-ChunckJob2D = 200Y
-TimeSeriesVars3D = ()
-ChunckJob3D = OFF
-Seasonal=OFF
-
-## Yearly analysis
-
-[Post_1Y_scalar]
-Patches = ()
-GatherWithInternal = (time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (scmastot, scvoltot, scsshtot, scsshste, scsshtst, sctemtot, scsaltot, ibgheat_tot, sbgheat_tot)
-ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal=OFF
-
-[Post_1Y_grid_T]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = ( )
-ChunckJob2D = NONE
-TimeSeriesVars3D = (thetao, so)
-ChunckJob3D = 50Y
-Seasonal=OFF
-
-[Post_1Y_grid_U]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (hfx, hfxba, hfxdiff, sozotaux)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (umo, vozocrtx,vozoeivu)
-ChunckJob3D = 50Y
-Seasonal=OFF
-
-[Post_1Y_grid_V]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = ( )
-ChunckJob2D = NONE
-TimeSeriesVars3D = ( )
-ChunckJob3D = 50Y
-Seasonal=OFF
-
-[Post_1Y_diaptr_T]
-Patches = ()
-GatherWithInternal = (nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (zotemglo, zotematl, zotempac, zotemind, zotemipc, zosalglo, zosalatl, zosalpac, zosalind, zosalipc, zosrfglo, zosrfatl, zosrfpac, zosrfind, zosrfipc, sophtadv, sophtldf, sopstadv, sopstldf)
-ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal=OFF
-
-[Post_1Y_diaptr_W]
-Patches = ()
-GatherWithInternal = (nav_lat, olevel, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (zomsfglo, zomsfatl, zomsfpac, zomsfind, zomsfipc)
-ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal=OFF