Index: CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/inca.card	(revision 5591)
+++ CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/inca.card	(revision 5594)
@@ -34,6 +34,5 @@
 
 [InitialStateFiles]
-List= ()
-	
+List= (${R_IN}/RESTART/LMDZORINCA/TEST/GES/GESrefLR/CHM/Restart/GESrefLR_20060101_chem_restart.nc, chem_start.nc)
 
 [BoundaryFiles]
Index: CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/LMDZORINCA/GES_LR/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/LMDZORINCA/GES_LR/COMP/inca.card	(revision 5591)
+++ CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/LMDZORINCA/GES_LR/COMP/inca.card	(revision 5594)
@@ -65,5 +65,5 @@
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml, file_def_inca_restart.xml ), \
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_GES.xml, file_def_inca.xml ), \
-    	(${MODIPSL}/bin/inca_${ResolAtm}_${OptMode}_${ConfChem}.dat, inca.dat)
+    	(${MODIPSL}/bin/inca_${OptMode}_${ConfChem}.dat, inca.dat)
 
 [RestartFiles]
@@ -71,6 +71,4 @@
 List= (chem_restart.nc, chem_restart.nc, chem_start.nc)
  
-
-
 [OutputText]
 List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca.xml, inca_IDxml.out)
@@ -78,4 +76,3 @@
 [OutputFiles]
 List=	(inca1d_ges.nc,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_ges.nc, NONE  ),\
-	(inca1mo_ges.nc,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_ges.nc, NONE  ),\
-	(co2_carbonator.nc,  ${R_OUT_CHM_O_M}/${PREFIX}_1M_co2_carbonator.nc, NONE)
+	(inca1mo_ges.nc,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_ges.nc, NONE  )
Index: CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/LMDZORINCA/GES_LR/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/LMDZORINCA/GES_LR/COMP/lmdz.card	(revision 5591)
+++ CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/LMDZORINCA/GES_LR/COMP/lmdz.card	(revision 5594)
@@ -93,8 +93,9 @@
         (${SUBMIT_DIR}/PARAM/guide.def, .),                                 \
         (${SUBMIT_DIR}/PARAM/run.def, .),                                   \
-	(${SUBMIT_DIR}/PARAM/traceur.def_h2o_NP, traceur.def), \
+	(${SUBMIT_DIR}/PARAM/traceur.def_h2o,  traceur.def), \
         (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),          \
+        (${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),          \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmth_lmdz.xml, . ),   \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
Index: CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/DRIVER/inca.driver
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/DRIVER/inca.driver	(revision 5591)
+++ CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/DRIVER/inca.driver	(revision 5594)
@@ -421,9 +421,12 @@
     if [ -f context_input_inca.xml ] ; then
         echo '<context id="inca" src="./context_input_inca.xml"/>' >> add.tmp
-  #      echo '<context id="inca" src="./context_start_inca.xml"/>' >> add.tmp
+	echo '<context id="inca" src="./context_start_inca.xml"/>' >> add.tmp
         echo '<context id="inca" src="./context_sflx_inca.xml"/>' >> add.tmp
-        echo '<context id="inca" src="./context_co2_bis_inca.xml"/>' >> add.tmp
         echo '<context id="inca" src="./context_winds_inca.xml"/>' >> add.tmp
         echo '<context id="inca" src="./context_oxydants_inca.xml"/>' >> add.tmp
+	if [ X${CHEM} =  XGES ] ; then 
+	    echo '<context id="inca" src="./context_co2_bis_inca.xml"/>' >> add.tmp
+	fi
+
     fi
     cp iodef.xml iodef.xml.tmp
@@ -447,18 +450,41 @@
     fi
 
-
-
-#    if [ X${inca_UserChoices_LMDZ_10m_winds} = Xn ] ; then 
-	echo "retire UNLIMITED sur axe temps "
-	nccopy -u u10xios.nc tmp.nc
-	mv tmp.nc u10xios.nc
-	nccopy -u v10xios.nc tmp.nc
-	mv tmp.nc v10xios.nc
-#    fi
-
+    # remove unlimited from time axis for allowed xios to read all values in one time 
+    echo "retire UNLIMITED sur axe temps "
+    nccopy -u u10xios.nc tmp.nc
+    mv tmp.nc u10xios.nc
+    nccopy -u v10xios.nc tmp.nc
+    mv tmp.nc v10xios.nc
     nccopy -u oxydants.nc tmp.nc
     mv tmp.nc oxydants.nc
 
 
+
+    # Set interpolated output grid depending on resoultion, only if ICO component is set in config.card
+    if [ ! "X${config_ListOfComponents_ICO}" = "X" ] ; then   
+	if [ ${RESOL_NBP} == 40  ] ; then
+	    valuei=144
+	    valuej=143
+	elif [ ${RESOL_NBP} == 80  ] ; then
+	    valuei=360
+	    valuej=180
+	elif [ ${RESOL_NBP} == 160  ] ; then
+	    valuei=720
+	    valuej=360
+    elif [ ${RESOL_NBP} == 320  ] ; then
+        valuei=1440
+        valuej=720
+	else
+	    IGCM_debug_Exit "RESOL_NBP=${RESOL_NBP} is not yet implemented in drivers"
+	    IGCM_debug_Verif_Exit
+	fi
+	
+	IGCM_debug_Print 1 "Modify output grid parameters for current resolution in context_inca.xml"
+	cp context_inca.xml context_inca.xml.init
+	sed -e "s/ni_glo.*=.*\"144\"/ni_glo=\"${valuei}\"/" \
+            -e "s/nj_glo.*=.*\"143\"/nj_glo=\"${valuej}\"/" \
+            context_inca.xml.init > context_inca.xml
+	
+    fi
 
 
Index: CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/PARAM/orchidee.def_CWRR
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/PARAM/orchidee.def_CWRR	(revision 5594)
+++ CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/PARAM/orchidee.def_CWRR	(revision 5594)
@@ -0,0 +1,232 @@
+#
+#**************************************************************************
+#                    Parameter file list for ORCHIDEE
+# See all optional parameters in modipsl/modeles/ORCHIDEE/orchidee.default
+#**************************************************************************
+
+# Input and output
+#**************************************************************************
+# Restart the time from the GCM. 
+# default = n
+SECHIBA_reset_time = y
+
+# Name of restart to read for initial conditions
+# default = NONE
+SECHIBA_restart_in = _AUTOBLOCKER_
+
+# Name of restart to read for initial conditions of STOMATE
+# default = NONE
+STOMATE_RESTART_FILEIN = _AUTOBLOCKER_
+
+# Use XIOS for writing diagnostics file
+# default = y
+XIOS_ORCHIDEE_OK = y
+
+# Writefrequency in seconds in sechiba_history.nc
+# default = 0
+WRITE_STEP = 0
+
+# Print level for text output in out_orchidee_*
+# PRINTLEV = 1 : some output in initialization phase
+# PRINTLEV = 2 : more output in initialization phase and printing of new date
+# PRINTLEV = 3, 4,.. : more output also at each timestep
+PRINTLEV=1
+
+# Hydrology parameters
+#**************************************************************************
+# Activate the multi-layer diffusion scheme adapted from CWRR
+# default = y
+HYDROL_CWRR = y
+
+# Activate river routing
+# default = y
+RIVER_ROUTING = y
+
+# Activate creation of river_desc.nc file
+# RIVER_DESC will be activated only the first execution in the simulation. 
+RIVER_DESC = _AUTO_
+
+# SOILTYPE_CLASSIF :  Type of classification used for the map of soil types (default zobler)
+SOILTYPE_CLASSIF = zobler 
+SOILALB_FILE     = soils_param.nc
+SOILCLASS_FILE   = soils_param.nc
+
+# DO_RSOIL : Reduce soil evaporation with a soil resistance (default n)
+DO_RSOIL = n
+
+# To make AVAN and NVAN constant with depth (default CWRR_AKS_A0=0, CWRR_AKS_POWER=0, CWRR_NKS_A0=0, CWRR_NKS_POWER=0 )
+CWRR_AKS_A0 = 0.
+CWRR_AKS_POWER = 0.
+CWRR_NKS_A0 = 0.
+CWRR_NKS_POWER = 0.
+
+#**************************************************************************
+# Activate Stomate component
+STOMATE_OK_STOMATE = _AUTOBLOCKER_ 
+
+# Activate calculations of CO2 according to Farqhuar and Ball
+# default = y
+STOMATE_OK_CO2 = y
+
+# CDRAG_from_GCM: Use cdrag coefficient from gcm (default=y if coupled to LMDZ)
+CDRAG_from_GCM = y
+
+# Interception reservoir coefficient.
+# default = 0.1
+SECHIBA_QSINT = 0.02
+
+# Use 15 PFTs. Note that PFTmap.nc must contains 15PFTs.
+# PFT=10, 14 and 15 share the same parametrization except for VCMAX and LAI_MAX specified below.  
+NVM=15
+PFT_TO_MTC=1,2,3,4,5,6,7,8,9,10,11,12,13,10,10
+PFT_NAME__10='temperate C3           grass      '
+PFT_NAME__14='tropical  C3           grass      '
+PFT_NAME__15='boreal    C3           grass      '
+
+# STRESS_GS, STRESS_GM, STRESS_VCMAX : Stress on GS, GM and VCMAX
+# Default STRESS_GS=1, STRESS_GM=1, STRESS_VCMAX=1 for all PFTs
+STRESS_GS=1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.
+STRESS_GM=1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.
+STRESS_VCMAX=1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.,1.
+
+# Optimized parameters for albedo (default values)
+ALB_LEAF_NIR = 0.,0.23,0.18,0.18,0.20,0.24,0.15,0.26,0.20,0.24,0.27,0.28,0.26,0.24,0.24
+ALB_LEAF_VIS = 0.,0.04,0.04,0.04,0.04,0.03,0.03,0.03,0.03,0.06,0.06,0.06,0.06,0.06,0.06
+SNOWA_AGED_NIR = 0.50,0,0,0.10,0.37,0.08,0.16,0.17,0.27,0.44,0.44,0.44,0.44,0.44,0.44
+SNOWA_DEC_NIR = 0.13,0,0,0.10,0.10,0.16,0.04,0.07,0.08,0.12,0.12,0.12,0.12,0.12,0.12
+SNOWA_AGED_VIS = 0.74,0,0,0.08,0.24,0.07,0.18,0.18,0.33,0.57,0.57,0.57,0.57,0.57,0.57
+SNOWA_DEC_VIS = 0.21,0,0,0.14,0.08,0.17,0.05,0.06,0.09,0.15,0.15,0.15,0.15,0.15,0.15
+
+# Optimized parameters for photosynthetic capacity 
+# Default values except for PFT=15
+VCMAX25__02 = 45.0
+VCMAX25__03 = 45.0
+VCMAX25__04 = 35.0
+VCMAX25__05 = 40.0
+VCMAX25__06 = 50.0
+VCMAX25__07 = 45.0
+VCMAX25__08 = 35.0
+VCMAX25__09 = 35.0
+VCMAX25__10 = 50.0
+VCMAX25__11 = 50.0
+VCMAX25__12 = 60.0
+VCMAX25__13 = 60.0
+VCMAX25__14 = 50.0
+VCMAX25__15 = 40.0
+
+# Optimized parameters for LAI
+# Default values except for PFT=15
+LAI_MAX__02 = 7.0
+LAI_MAX__03 = 5.0
+LAI_MAX__04 = 5.0
+LAI_MAX__05 = 4.0
+LAI_MAX__06 = 5.0
+LAI_MAX__07 = 3.5
+LAI_MAX__08 = 4.0
+LAI_MAX__09 = 3.0
+LAI_MAX__10 = 2.5
+LAI_MAX__11 = 2.0
+LAI_MAX__12 = 5.0
+LAI_MAX__13 = 5.0
+LAI_MAX__14 = 2.5
+LAI_MAX__15 = 2.0
+
+# Activate downregulation for CO2
+# Set DOWNREGULATION_CO2_NEW=y to activate new revised version of 
+# downregulation parametrization available in ORCHIDEE_2_0 for 
+# configurations v6.1.11 or later or in ORCHIDEE_2_2 from revision 6393 and later. 
+# When DOWNREGULATION_CO2_NEW=y, 
+# DOWNREGULATION_CO2 will be forced to false by the model.
+DOWNREGULATION_CO2_NEW=y
+DOWNREGULATION_CO2_BASELEVEL=380.
+
+# Activate harvest of wood
+DO_WOOD_HARVEST=_AUTO_ : DEFAULT=y
+
+# Growth respiration (default values except for PFT=14 and PFT=15)
+FRAC_GROWTHRESP__02 = 0.35
+FRAC_GROWTHRESP__03 = 0.35
+FRAC_GROWTHRESP__04 = 0.28
+FRAC_GROWTHRESP__05 = 0.28
+FRAC_GROWTHRESP__06 = 0.28
+FRAC_GROWTHRESP__07 = 0.35
+FRAC_GROWTHRESP__08 = 0.35
+FRAC_GROWTHRESP__09 = 0.35
+FRAC_GROWTHRESP__10 = 0.28
+FRAC_GROWTHRESP__11 = 0.28
+FRAC_GROWTHRESP__12 = 0.28
+FRAC_GROWTHRESP__13 = 0.28
+FRAC_GROWTHRESP__14 = 0.35
+FRAC_GROWTHRESP__15 = 0.35
+
+# Maintenance respiration slope C (default values except for PFT=14 and PFT=15)
+MAINT_RESP_SLOPE_C__02 = 0.12
+MAINT_RESP_SLOPE_C__03 = 0.12
+MAINT_RESP_SLOPE_C__04 = 0.16
+MAINT_RESP_SLOPE_C__05 = 0.16
+MAINT_RESP_SLOPE_C__06 = 0.16
+MAINT_RESP_SLOPE_C__07 = 0.25
+MAINT_RESP_SLOPE_C__08 = 0.25
+MAINT_RESP_SLOPE_C__09 = 0.25
+MAINT_RESP_SLOPE_C__10 = 0.16
+MAINT_RESP_SLOPE_C__11 = 0.12
+MAINT_RESP_SLOPE_C__12 = 0.16
+MAINT_RESP_SLOPE_C__13 = 0.12
+MAINT_RESP_SLOPE_C__14 = 0.12
+MAINT_RESP_SLOPE_C__15 = 0.25
+
+# Soil turnover (default CARBON_TAU=7, CARBON_TAU_IPASSOVE=300)
+CARBON_TAU_ISLOW = 7
+CARBON_TAU_IPASSIVE = 300
+
+# Take carbon from atmosphere if carbohydrate reserve too small, PFT dependent
+# Set to y for all pft except C4 grass (pft=11) and tropical C3 grass (pft=14)
+ALWAYS_INIT =  y, y, y, y, y, y, y, y, y, y, n, y, y, n, y
+
+# Do not use default fire module
+# Default FIRE_DISABLE=y
+FIRE_DISABLE = y
+
+# Parameters related to vegetation map
+#**************************************************************************
+# Update vegetation frequency
+# The maximum vegetation fractions will be update at this period
+# default = 1Y
+VEGET_UPDATE = _AUTO_
+
+# Read lai map (default n)
+LAI_MAP = _AUTO_ : DEFAULT = n
+
+# Parameters related to surface and thermal physical properties
+#************************************************************************
+# Read bare soil albedo from file with background MODIS data
+# Default ALB_BG_MODIS=y
+ALB_BG_MODIS = y
+ALB_BG_FILE  = alb_bg.nc
+
+# ROUGH_DYN : Account for a dynamic roughness height (activation of Su et al. parametrization) (default y)
+ROUGH_DYN=y
+
+# OK_FREEZE :  Activate the complet soil freezing scheme (default y)
+OK_FREEZE=y
+
+# DEPTH_MAX_T (m) :  Maximum depth of the soil thermodynamics (default 90)
+DEPTH_MAX_T=90
+
+# OK_EXPLICITSNOW :  Activate explict snow scheme (default y)
+OK_EXPLICITSNOW=y
+ 
+# READ_REFTEMP :  Initialize soil temperature using climatological temperature (default y if OK_FREEZE=y)
+READ_REFTEMP=y
+
+# Parameters related to chemistry bvoc 
+#************************************************************************
+# CHEMISTRY_OK_BVOC :  Activate chemistry
+CHEMISTRY_BVOC = _AUTO_: DEFAULT=n
+
+# CO2 FOR BVOC - WILKINSON :  CO2 inhibition effect for isoprene based on Wilkinson approach?
+CO2_FOR_BVOC_WILKINSON=n
+
+# CO2 FOR BVOC - POSSELL :  CO2 inhibition effect for isoprene based on Possell approach?
+CO2_FOR_BVOC_POSSELL=n
+