Index: /modipsl/trunk/util/mod.def
===================================================================
--- /modipsl/trunk/util/mod.def	(revision 5600)
+++ /modipsl/trunk/util/mod.def	(revision 5601)
@@ -779,23 +779,23 @@
 #-H- IPSLCM6.2_work  This configuration is under construction
 #-H- IPSLCM6.2_work  NEMOGCM branch nemo_v3_6_STABLE revision 9455
-#-H- IPSLCM6.2_work  SHACONEMO revision 279
-#-H- IPSLCM6.2_work  XIOS trunk revision 1866
+#-H- IPSLCM6.2_work  SHACONEMO revision 297
+#-H- IPSLCM6.2_work  XIOS trunk revision 2029
 #-H- IPSLCM6.2_work  IOIPSL tags v2_2_5
-#-H- IPSLCM6.2_work  LMDZ6 trunk revision 3651
-#-H- IPSLCM6.2_work  ORCHIDEE version branches/ORCHIDEE_2_2/ORCHIDEE revision 6594
+#-H- IPSLCM6.2_work  LMDZ6 trunk revision 3855
+#-H- IPSLCM6.2_work  ORCHIDEE version branches/ORCHIDEE_Quest/ORCHIDEE revision 7086
 #-H- IPSLCM6.2_work  INCA6 trunk revison  915
 #-H- IPSLCM6.2_work  OASIS3-MCT 2.0_branch (rev 1818 Cerfacs server, rev 4775 IPSL server)
-#-H- IPSLCM6.2_work  CONFIG/IPSLCM6.2 rev 5034 
-#-H- IPSLCM6.2_work  libIGCM trunk rev 1534
+#-H- IPSLCM6.2_work  CONFIG/IPSLCM6.2 rev 5600
+#-H- IPSLCM6.2_work  libIGCM trunk rev 1545
 #-M- IPSLCM6.2_work  platform-extract@listes.ipsl.fr
 #-C- IPSLCM6.2_work  IOIPSL/tags/v2_2_5                               5058         8   IOIPSL         modeles
 #-C- IPSLCM6.2_work  branches/ORCHIDEE_Quest/ORCHIDEE                 7086        14   ORCHIDEE       modeles
 #-C- IPSLCM6.2_work  CPL/oasis3-mct/branches/OASIS3-MCT_2.0_branch    4775         8  oasis3-mct     .
-#-C- IPSLCM6.2_work  LMDZ6/branches/IPSL-CM6A-MR                      3847        20   LMDZ           modeles
-#-C- IPSLCM6.2_work  CONFIG/UNIFORM/v6/IPSLCM6.2                      5590         8   IPSLCM6        config
+#-C- IPSLCM6.2_work  LMDZ6/branches/IPSL-CM6A-MR                      3855        20   LMDZ           modeles
+#-C- IPSLCM6.2_work  CONFIG/UNIFORM/v6/IPSLCM6.2                      5600         8   IPSLCM6        config
 #-C- IPSLCM6.2_work  trunk/libIGCM                                    1545        10   libIGCM        .
 #-C- IPSLCM6.2_work  branches/2015/nemo_v3_6_STABLE/NEMOGCM           9455         7   .              modeles
-#-C- IPSLCM6.2_work  trunk/ORCA1_LIM3_PISCES                           296        17   .              modeles/NEMOGCM/CONFIG
-#-C- IPSLCM6.2_work  trunk/ORCA025_LIM3_PISCES                         296        17   .              modeles/NEMOGCM/CONFIG
+#-C- IPSLCM6.2_work  trunk/ORCA1_LIM3_PISCES                           297        17   .              modeles/NEMOGCM/CONFIG
+#-C- IPSLCM6.2_work  trunk/ORCA025_LIM3_PISCES                         297        17   .              modeles/NEMOGCM/CONFIG
 #-C- IPSLCM6.2_work  trunk/INCA6                                       915     	   9   INCA           modeles
 #-C- IPSLCM6.2_work  XIOS/trunk                                       2029        12   XIOS           modeles
@@ -874,27 +874,27 @@
 
 #-H- IPSLCM6.2.2  IPSLCM6.2.2 coupled configuration
-#-H- IPSLCM6.2.2  This configuration is dedicated to perform CMIP6 DECK under QUEST project. 
+#-H- IPSLCM6.2.2  This configuration is dedicated to QUEST CMIP6 simulations
 #-H- IPSLCM6.2.2  NEMOGCM branch nemo_v3_6_STABLE revision 9455
-#-H- IPSLCM6.2.2  SHACONEMO revision 291
+#-H- IPSLCM6.2.2  SHACONEMO revision 297
 #-H- IPSLCM6.2.2  XIOS trunk revision 1866
 #-H- IPSLCM6.2.2  IOIPSL tags v2_2_5
-#-H- IPSLCM6.2.2  LMDZ6 trunk revision 3651
-#-H- IPSLCM6.2.2  ORCHIDEE version branches/ORCHIDEE_2_2/ORCHIDEE revision 6594
+#-H- IPSLCM6.2.2  LMDZ6 branch IPSL-CM6A-MR revision 3855
+#-H- IPSLCM6.2.2  ORCHIDEE version branches/ORCHIDEE_Quest/ORCHIDEE revision 7086
 #-H- IPSLCM6.2.2  INCA6 trunk revison  915
 #-H- IPSLCM6.2.2  OASIS3-MCT 2.0_branch (rev 1818 Cerfacs server, rev 4775 IPSL server)
-#-H- IPSLCM6.2.2  CONFIG/IPSLCM6.2 rev 5508
-#-H- IPSLCM6.2.2  libIGCM trunk rev 1534
+#-H- IPSLCM6.2.2  CONFIG/IPSLCM6.2 rev 5600
+#-H- IPSLCM6.2.2  libIGCM trunk rev 1545
 #-M- IPSLCM6.2.2  platform-extract@listes.ipsl.fr
 #-C- IPSLCM6.2.2  IOIPSL/tags/v2_2_5                               5058         8   IOIPSL         modeles
-#-C- IPSLCM6.2.2  branches/ORCHIDEE_2_2/ORCHIDEE                   6594        14   ORCHIDEE       modeles
+#-C- IPSLCM6.2.2  branches/ORCHIDEE_Quest/ORCHIDEE                 7086        14   ORCHIDEE       modeles
 #-C- IPSLCM6.2.2  CPL/oasis3-mct/branches/OASIS3-MCT_2.0_branch    4775         8  oasis3-mct     .
-#-C- IPSLCM6.2.2  LMDZ6/trunk                                      3651        20   LMDZ           modeles
-#-C- IPSLCM6.2.2  CONFIG/UNIFORM/v6/IPSLCM6.2                      5508         8   IPSLCM6        config
-#-C- IPSLCM6.2.2  trunk/libIGCM                                    1534        10   libIGCM        .
+#-C- IPSLCM6.2.2  LMDZ6/branches/IPSL-CM6A-MR                      3855        20   LMDZ           modeles
+#-C- IPSLCM6.2.2  CONFIG/UNIFORM/v6/IPSLCM6.2                      5600         8   IPSLCM6        config
+#-C- IPSLCM6.2.2  trunk/libIGCM                                    1545        10   libIGCM        .
 #-C- IPSLCM6.2.2  branches/2015/nemo_v3_6_STABLE/NEMOGCM           9455         7   .              modeles
-#-C- IPSLCM6.2.2  trunk/ORCA1_LIM3_PISCES                           291        17   .              modeles/NEMOGCM/CONFIG
-#-C- IPSLCM6.2.2  trunk/ORCA025_LIM3_PISCES                         291        17   .              modeles/NEMOGCM/CONFIG
-#-C- IPSLCM6.2.2  trunk/INCA6                                       915         9   INCA           modeles
-#-C- IPSLCM6.2.2  XIOS/trunk                                       1866        12   XIOS           modeles
+#-C- IPSLCM6.2.2  trunk/ORCA1_LIM3_PISCES                           297        17   .              modeles/NEMOGCM/CONFIG
+#-C- IPSLCM6.2.2  trunk/ORCA025_LIM3_PISCES                         297        17   .              modeles/NEMOGCM/CONFIG
+#-C- IPSLCM6.2.2  trunk/INCA6                                       915     	   9   INCA           modeles
+#-C- IPSLCM6.2.2  XIOS/trunk                                       2029        12   XIOS           modeles
 
 #-H- IPSLCM5A  IPSLCM5A coupled configuration used for CMIP5