Index: CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/inca.card	(revision 5648)
+++ CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/inca.card	(revision 5651)
@@ -34,5 +34,5 @@
 
 [InitialStateFiles]
-List= (${R_IN}/RESTART/LMDZORINCA/TEST/GES/GESrefLR/CHM/Restart/GESrefLR_20060101_chem_restart.nc, chem_start.nc)
+List= (${R_IN}/CHM/INCA144142-L79/chem_unstructured_start.nc, chem_start.nc)
 
 [BoundaryFiles]
@@ -69,5 +69,5 @@
 [RestartFiles]
 # List restart that have to be saved/restored each loop (file out, saved, and in) :
-List= (chem_restart.nc, chem_restart.nc, chem_start.nc)
+List= (NONE)
  
 [OutputText]
@@ -75,4 +75,14 @@
 
 [OutputFiles]
-List=	(inca1d_ges.nc,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_ges.nc, NONE  ),\
+List=	(inca1d_ges.nc,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_ges.nc, Post_1D_inca_ges  ),\
 	(inca1mo_ges.nc,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_ges.nc, NONE  )
+
+
+[Post_1D_inca_ges]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, , time_centered, time_centered_bounds, time_counter,area)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = (vmrch4,vmrco,vmrco2oc,vmrco2bim,vmrco2bih,jn2o,jmcf)
+ChunckJob3D = NONE
+Seasonal=OFF
Index: CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/lmdz.card	(revision 5648)
+++ CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/lmdz.card	(revision 5651)
@@ -14,4 +14,5 @@
 # Manage radiative aerosol effect and ozone
 flag_aerosol=0
+flag_aerosol_strat=0
 ok_ade=n
 ok_aie=n
@@ -55,5 +56,6 @@
 
 [BoundaryFiles]
-List=()
+List=(${R_IN}/ATM/STRATAERO/CMIP6/v3/144x142/L${RESOL_ATM_Z}/taulwstrat.2D.2006.nc,taulwstrat.2D.nc),\
+            (${R_IN}/ATM/STRATAERO/CMIP6/v3/144x142/L${RESOL_ATM_Z}/tauswstrat.2D.2006.nc,tauswstrat.2D.nc)
 #
 # With CMIP6 aerosols version 1
@@ -63,7 +65,5 @@
             (${R_IN}/ATM/AEROSOLS/CMIP6/v1/144x142/L${RESOL_ATM_Z}/aerosols1995_from_inca.nc,   aerosols1980.nc),\
             (${R_IN}/ATM/OZONE/UReading/historical.v20160711.v2/interpol/nbp${RESOL_NBP}/climoz_LMDZ_1979_2008_clim.nc, climoz_LMDZ.nc),\
-            (${R_IN}/ATM/SOLAR/CMIP6/v3.1corr/Control/solarforcing_v3.1_pdControl_ave_6bands_365days.nc, solarforcing.nc),\
-            (${R_IN}/ATM/STRATAERO/CMIP6/v3/144x142/L${RESOL_ATM_Z}/taulwstrat.2D.ave.nc, taulwstrat.2D.nc),\
-            (${R_IN}/ATM/STRATAERO/CMIP6/v3/144x142/L${RESOL_ATM_Z}/tauswstrat.2D.ave.nc, tauswstrat.2D.nc)
+            (${R_IN}/ATM/SOLAR/CMIP6/v3.1corr/Control/solarforcing_v3.1_pdControl_ave_6bands_365days.nc, solarforcing.nc)
 
 [SmoothFiles]
@@ -78,5 +78,5 @@
         (${SUBMIT_DIR}/PARAM/guide.def, .),                                 \
         (${SUBMIT_DIR}/PARAM/run.def, .),                                   \
-        (${SUBMIT_DIR}/PARAM/traceur.def_h2o, traceur.def),                 \
+        (${SUBMIT_DIR}/PARAM/traceur.def_h2o, traceur.def),                               \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_input_lmdz.xml, . ),      \
Index: CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/config.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/config.card	(revision 5648)
+++ CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/config.card	(revision 5651)
@@ -53,5 +53,5 @@
 #D-- Executable -
 [Executable]
-ICO= (icosa_lmdz_${OptMode}_${ConfChem}.exe, icosa_lmdz.exe, 95MPI)
+ICO= (icosa_lmdz_${OptMode}_${ConfChem}.exe, icosa_lmdz.exe, 95MPI, 4OMP)
 ATM= ("","")
 SRF= ("", "")
Index: CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/DRIVER/inca.driver
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/DRIVER/inca.driver	(revision 5648)
+++ CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/DRIVER/inca.driver	(revision 5651)
@@ -428,5 +428,5 @@
     if [ -f context_input_inca.xml ] ; then
         echo '<context id="inca" src="./context_input_inca.xml"/>' >> add.tmp
-#	echo '<context id="inca" src="./context_start_inca.xml"/>' >> add.tmp
+	echo '<context id="inca" src="./context_start_inca.xml"/>' >> add.tmp
         echo '<context id="inca" src="./context_sflx_inca.xml"/>' >> add.tmp
         echo '<context id="inca" src="./context_winds_inca.xml"/>' >> add.tmp
Index: CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/POST/monitoring01_inca.cfg
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/POST/monitoring01_inca.cfg	(revision 5648)
+++ CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/POST/monitoring01_inca.cfg	(revision 5651)
@@ -33,66 +33,29 @@
 #
 ##################################################################################################################
-
 color=F0D5F4
 smooth=12
 FreqTS=DA
-#-----------------------------------------------------------------------------------------------------------------
-#  field | files patterns | files additionnal | operations | title | units | calcul of area
-#-----------------------------------------------------------------------------------------------------------------
-od550bcas_global   | "od550bcas"    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "od550bcas[d=1]"    	| "bc as optical depth @550nm" 	| "(-)" 	| "area[d=2]"
-od550oaas_global  | "od550oaas"     | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "od550oaas[d=1]"   	| "pom as optical depth @550nm" | "(-)" 	| "area[d=2]"
-od550so4as_global  | "od550so4as"   | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "od550so4as[d=1]"   	| "so4 as optical depth @550nm" | "(-)" 	| "area[d=2]"
-od550so4cs_global  | "od550so4cs"   | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "od550so4cs[d=1]"   	| "so4 cs optical depth @550nm" | "(-)" 	| "area[d=2]"
-od550ssss_global | "od550ssss"      | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "od550ssss[d=1]"  	| "ssssm optical depth @550nm" 	| "(-)" 	| "area[d=2]"
-od550ssas_global   | "od550ssas"    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "od550ssas[d=1]"    	| "ss as optical depth @550nm" 	| "(-)" 	| "area[d=2]"
-od550ss_global	   | "od550ss" 	    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "od550ss[d=1]"     	| "seasalt optical depth @550nm"| "(-)" 	| "area[d=2]"
-od550dust_global   | "od550dust"    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "od550dust[d=1]"    	| "cidustm optical depth @550nm"| "(-)" 	| "area[d=2]"
-od550bcai_global   | "od550bcai"    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "od550bcai[d=1]"    	| "bc optical depth @550nm" 	| "(-)" 	| "area[d=2]"
-od550oaai_global   | "od550oaai"    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "od550oaai[d=1]"    	| "oa optical depth @550nm" 	| "(-)" 	| "area[d=2]"
-loaddustci_global  | "loaddustci"   | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "loaddustci[d=1]"   	| "loaddustci"   	| "(-)" 	| "area[d=2]"
-loadno3ci_global   | "loadno3ci"    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "loadno3ci[d=1]"    	| "loadno3ci"    	| "(-)" 	| "area[d=2]"
-loadbcai_global	   | "loadbcai"     | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "loadbcai[d=1]"     	| "loadbcai"     	| "(-)" 	| "area[d=2]"
-loadoaai_global   | "loadoaai"      | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "loadoaai[d=1]"    	| "loadoaai"    	| "(-)" 	| "area[d=2]"
-loadsscs_global	   | "loadsscs"     | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "loadsscs[d=1]"     	| "loadsscs"     	| "(-)" 	| "area[d=2]"
-loadso4cs_global   | "loadso4cs"    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "loadso4cs[d=1]"    	| "loadso4cs"    	| "(-)" 	| "area[d=2]"
-loadno3cs_global   | "loadno3cs"    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "loadno3cs[d=1]"    	| "loadno3cs"    	| "(-)" 	| "area[d=2]"
-loadssas_global	   | "loadssas"     | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "loadssas[d=1]"     	| "loadssas"     	| "(-)" 	| "area[d=2]"
-loadbcas_global	   | "loadbcas"     | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "loadbcas[d=1]"     	| "loadbcas"     	| "(-)" 	| "area[d=2]"
-loadoaas_global   | "loadoaas"      | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "loadoaas[d=1]"    	| "loadoaas"    	| "(-)" 	| "area[d=2]"
-loadso4as_global   | "loadso4as"    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "loadso4as[d=1]"    	| "loadso4as"    	| "(-)" 	| "area[d=2]"
-loadnh4as_global   | "loadnh4as"    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "loadnh4as[d=1]"  	| "loadnh4as"  	| "(-)" 	| "area[d=2]"
-loadno3as_global   | "loadno3as"    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "loadno3as[d=1]"  	| "loadno3as"  	| "(-)" 	| "area[d=2]"
-loadssss_global    | "loadssss"     | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "loadssss[d=1]"   	| "loadssss"   	| "(-)" 	| "area[d=2]"
-mmrso4cs_glo       | "mmrso4cs"     | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "mmrso4cs[d=1,k=@ave]" | "CSSO4 ave on level" | "??" | "area[d=2]"
-mmrso4as_glo       | "mmrso4as"     | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "mmrso4as[d=1,k=@ave]" | "ASSO4 ave on level" | "??" | "area[d=2]"
-mmrso4cs_surf       | "mmrso4cs"    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "mmrso4cs[d=1,k=39]" | "CSSO4 at surface" | "??" | "area[d=2]"
-mmrso4as_surf       | "mmrso4as"    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "mmrso4as[d=1,k=39]" | "ASSO4 at surface" | "??" | "area[d=2]"
-mmrssss_glo       | "mmrssss"       | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "mmrssss[d=1,k=@ave]" | "ASSSSM ave on level" | "??" | "area[d=2]"
-mmrssss_surf      | "mmrssss"       | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "mmrssss[d=1,k=39]"   | "ASSSSM at surface" | "??" | "area[d=2]"
-mmrdustci_glo       | "mmrdustci"   | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "mmrdustic[d=1,k=@ave]" | "CIDUSTM ave on level" | "??" | "area[d=2]"
-mmrdustci_surf      | "mmrdustci"   | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "mmrdustic[d=1,k=39]"   | "CIDUSTM at surface" | "??" | "area[d=2]"
-mmrbcai_glo       | "mmrbcai"       | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "mmrbcai[d=1,k=@ave]" | "AIBCM ave on level" | "??" | "area[d=2]"
-mmrbcai_surf      | "mmrbcai"       | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "mmrbcai[d=1,k=39]"   | "AIBCM at surface" | "??" | "area[d=2]"
-vmrhno3_glo       | "vmrhno3"       | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "vmrhno3[d=1,k=@ave]" | "HNO3 ave on level" | "??" | "area[d=2]"
-vmrhno3_surf      | "vmrhno3"       | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "vmrhno3[d=1,k=39]"   | "HNO3 at surface" | "??" | "area[d=2]"
-vmrno3_glo       | "vmrno3"         | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "vmrno3[d=1,k=@ave]" | "NO3 ave on level" | "??" | "area[d=2]"
-vmrno3_surf      | "vmrno3"         | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "vmrno3[d=1,k=39]"   | "NO3 at surface" | "??" | "area[d=2]"
-o3_col_global      | "colo3" 	    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "colo3[d=1]" 	| "colo3" 	 | "?" | "area[d=2]"
-co_col_global	   | "colco" 	    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "colco[d=1]"		| "colco" 	 | "?" | "area[d=2]"
-so2_col_global	   | "colso2" 	    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "colso2[d=1]"	| "colso2" 	 | "?" | "area[d=2]"
-oh_col_global	   | "coloh" 	    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "coloh[d=1]"		| "coloh" 	 | "?" | "area[d=2]"
-no2_col_global	   | "colno2" 	    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "colno2[d=1]" 	| "colno2" 	 | "?" | "area[d=2]"
-ch2o_col_global    | "colch2o"      | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "colch2o[d=1]" 	| "colch2o" 	 | "?" | "area[d=2]"
-ch4_col_global	   | "colch4" 	    | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "colch4[d=1]" 	| "colch4" 	 | "?" | "area[d=2]"
-hno2_col_global    | "colhno2"      | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "colhno2[d=1]" 	| "colhno2" 	 | "?" | "area[d=2]"
-swtoaasdust_global | "SWTOAAS_DUST" | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "SWTOAAS_DUST[d=1]" | "SW Top-of-Atm Rad. flx dust"            |"W m-2"      | "area[d=2]"
-swtoaasss_global | "SWTOAAS_SS"     | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "SWTOAAS_SS[d=1]" | "SW Top-of-Atm Rad. seasalt"            |"W m-2"      | "area[d=2]"
-swtoaasant_global  | "SWTOAAS_ANT"  | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "SWTOAAS_ANT[d=1]"  | "SWTOAAS_ANT " | "W m-2" | "area[d=2]"
-swtoaasaer_global  | "SWTOAAS_AER"  | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "SWTOAAS_AER[d=1]"  | "SWTOAAS_AER " | "W m-2" | "area[d=2]"
-swtoaasnat_global  | "SWTOAAS_NAT"  | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "SWTOAAS_NAT[d=1]"  | "SWTOAAS_NAT " | "W m-2" | "area[d=2]"
-swtoaasbc_global   | "SWTOAAS_BC"   | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "SWTOAAS_BC[d=1]"   | "SWTOAAS_BC  " | "W m-2" | "area[d=2]"
-swtoaasso4_global  | "SWTOAAS_SO4"  | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "SWTOAAS_SO4[d=1]"  | "SWTOAAS_SO4 " | "W m-2" | "area[d=2]"
-swtoaaspom_global  | "SWTOAAS_POM"  | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "SWTOAAS_POM[d=1]"  | "SWTOAAS_POM " | "W m-2" | "area[d=2]"
-swtoaasdno3_global | "SWTOAAS_DNO3" | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "SWTOAAS_DNO3[d=1]" | "SWTOAAS_DNO3" | "W m-2" | "area[d=2]"
-swtoaassno3_global | "SWTOAAS_SNO3" | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "SWTOAAS_SNO3[d=1]" | "SWTOAAS_SNO3" | "W m-2" | "area[d=2]"
-swtoaasfno3_global | "SWTOAAS_FNO3" | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "SWTOAAS_FNO3[d=1]" | "SWTOAAS_FNO3" | "W m-2" | "area[d=2]"
+#-----------------------------------------------------------------------------------------------------------------                          
+#  field | files patterns | files additionnal | operations | title | units | calcul of area                                                 
+#-----------------------------------------------------------------------------------------------------------------                          
+vmrco2bih_surface      | "vmrco2bih" | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "vmrco2bih[d=1,k=79]"   | "\
+CO2BIH at surface" | "??" | "aire[d=2]"
+vmrco2bim_surface      | "vmrco2bim" | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "vmrco2bim[d=1,k=79]"   | "\
+CO2BIH at surface" | "??" | "aire[d=2]"
+vmrco2oc_surface      | "vmrco2oc" | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "vmrco2oc[d=1,k=79]"   | "CO2\
+OC at surface" | "??" | "aire[d=2]"
+vmrco_surface      | "vmrco" | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "vmrco[d=1,k=79]"   | "CO at surfac\
+e" | "??" | "aire[d=2]"
+vmrch4_surface      | "vmrch4" | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "vmrch4[d=1,k=79]"   | "Ch4 at su\
+rface" | "??" | "aire[d=2]"
+vmrco2bih_global      | "vmrco2bih" | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "vmrco2bih[d=1,k=@ave]"   | \
+"CO2BIH at global" | "??" | "aire[d=2]"
+vmrco2bim_global     | "vmrco2bim" | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "vmrco2bim[d=1,k=@ave]"   | "\
+CO2BIH atglobal " | "??" | "aire[d=2]"
+vmrco2oc_global     | "vmrco2oc" | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "vmrco2oc[d=1,k=@ave]"   | "CO2\
+OC at global" | "??" | "aire[d=2]"
+vmrco_global      | "vmrco" | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "vmrco[d=1,k=@ave]"   | "CO at globa\
+l" | "??" | "aire[d=2]"
+vmrch4_global            | "vmrch4" | "/ccc/work/cont003/igcmg/igcmg/IGCM/ATM/GRID/aire_ICO40_to_144x143.nc" | "vmrch4[d=1,k=@ave]"   | "Ch\
+4 at global" | "??" | "aire[d=2]"
+